// file: MutableMap.java
// author: CS102 S14 Class
// date: March 20, 2014
//
// This is an API for a mutable map. Unlike java.util.Map and ST in SW 3.1, 
// the get function for this map returns an Option type to deal with the case 
// where a key was not in the map.
//
public interface MutableMap<Key, Value> {
    
    public void put(Key key, Value value);
    public Option<Value> get(Key key);
    public void remove(Key key);
    
    public boolean isEmpty();
    public int size();
    public String toString();
}